Subject: Re: [patch 12/12] Configure out ethtool support

From: Matt Mackall <[email-masked]>
Date: Wed, 30 Jul 2008 18:05:02 -0500

On Wed, 2008-07-30 at 15:37 -0700, David Miller wrote:
> From: Matt Mackall <[email-masked]>
> Date: Wed, 30 Jul 2008 17:24:26 -0500
> 
> > 
> > On Wed, 2008-07-30 at 14:35 -0700, David Miller wrote:
> > > This change means you can't configure nearly all of the features on
> > > your ethernet card.  You can't even configure the link parameters
> > > without ethtool support.
> > 
> > Which is big fat don't-care for the vast majority of users. Various
> > popular distros don't even install the tool by default.
> 
> Are you even aware that the ethtool layer gets invoked by simply
> enabling IP forwarding or bridgining, in order to disable LRO
> offloading which conflicts with such uses?

Oh noes. How ever will my poor webcam get on the internets without that.

Again, most users don't use forwarding or bridging, nor do they have
LRO. Again, doubly so for embedded devices. Your remark about
CONFIG_INET is pure hyperbole.

> And I disagree with your asserion that the tool doesn't get installed
> by default by distros.  I can't find one single system here that
> doesn't have /usr/sbin/ethtool available.
> 
> I guess it depends upon your definition of "various".

I've got a vanilla Debian install here for starters.

-- 
Mathematics is the supreme nostalgia of our time.